@use '../../../../styles'
$dimen-button-height: 32px
section
    background-color: styles.$primary-main
    width: 100%
    display: flex
    justify-content: center
    header
        width: 90%
        padding-block: 40px
        @media (min-width: 417px) and (max-width: 820px)
            padding-block: 56px
        @media (min-width: 821px)
            width: 72%
            text-align: center
            padding-block: 80px
        @media (min-width: 1200px)
            max-width: 940px
        color: styles.$white

        padding-inline: 16px
        h1
            font-family: 'Roboto'
            font-style: normal
            font-weight: 600
            font-size: 24px
            line-height: 28px  
            @media (min-width: 417px) and (max-width: 820px)
                font-size: 32px
                line-height: 38px
            @media (min-width: 821px)
                font-weight: 700
                font-size: 48px
                line-height: 56px    
        h5
            font-family: 'Roboto'
            text-transform: uppercase
            font-weight: 700
            font-size: 14px
            line-height: 20px
        mat-button-toggle-group
            display: flex
            height: fit-content
            flex-wrap: wrap
            justify-content: start
            @media (min-width: 821px)
                justify-content: center
            border-radius: 0
            border: 0
            gap: 8px
            mat-button-toggle
                background: #FFFFFF
                border-radius: 4px
                font-family: 'Roboto'
                font-style: normal
                font-weight: 700
                font-size: 14px
                line-height: 20px
                padding: 0 16px
                button
                    .mat-button-toggle-label-content
                        line-height: 32px !important
                        @media (min-width: 821px)
                            line-height: 40px !important
                mat-icon
                    display: none
                    margin-left: 8px
                &.mat-button-toggle-checked
                    background-color: styles.$secundary-main
                    border: 0
                    color: styles.$white
                    mat-icon
                        display: inline
